PhaseInterceptor (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.phase, interface: PhaseInterceptor

Package org.apache.cxf.phase

# Interface PhaseInterceptor<T extends Message>

All Superinterfaces:
  `Interceptor<T>`

All Known Implementing Classes:
  `AbstractAuthorizingInInterceptor`, `AbstractBeanValidationInterceptor`, `AbstractInDatabindingInterceptor`, `AbstractLoggingInterceptor`, `AbstractOutDatabindingInterceptor`, `AbstractPhaseInterceptor`, `AbstractSecurityContextInInterceptor`, `AbstractUsernameTokenInInterceptor`, `AbstractValidationInterceptor`, `AbstractXSLTInterceptor`, `AttachmentInInterceptor`, `AttachmentOutInterceptor`, `AttachmentOutInterceptor.AttachmentOutEndingInterceptor`, `BeanValidationInInterceptor`, `BeanValidationOutInterceptor`, `ClientBeanValidationOutInterceptor`, `ClientFaultConverter`, `DelegatingAuthenticationInterceptor`, `DepthRestrictingStreamInterceptor`, `FaultOutInterceptor`, `FIStaxInInterceptor`, `FIStaxOutInterceptor`, `GZIPInInterceptor`, `GZIPOutInterceptor`, `JAASLoginInterceptor`, `LoggingInInterceptor`, `LoggingOutInterceptor`, `MAPAggregator`, `MessageSenderInterceptor`, `MessageSenderInterceptor.MessageSenderEndingInterceptor`, `OneWayProcessorInterceptor`, `OperationInfoAuthorizingInterceptor`, `OutgoingChainInterceptor`, `SecureAnnotationsInterceptor`, `ServiceInvokerInterceptor`, `SimpleAuthorizingInterceptor`, `StaxDataBindingInterceptor`, `StaxInEndingInterceptor`, `StaxInInterceptor`, `StaxOutEndingInterceptor`, `StaxOutInterceptor`, `StaxSchemaValidationInInterceptor`, `StaxSchemaValidationOutInterceptor`, `TransformInInterceptor`, `TransformOutInterceptor`, `XSLTInInterceptor`, `XSLTOutInterceptor`

public interface PhaseInterceptor<T extends Message> extends Interceptor<T>
A phase interceptor is an intercetor that participates in a PhaseInterceptorChain. The phase property controls the phase in which the interceptor is placed. The before and after properties allow for fine grained control over where the phase the interceptor is placed. They specify the IDs of the interceptors that must be placed before and after the interceptor.

See Also:
  - `PhaseInterceptorChain`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<PhaseInterceptor<? extends Message>>`
  `getAdditionalInterceptors()`
  Returns a collection of Interceptors that should be added to the chain whenever this interceptor is added.
  `Set<String>`
  `getAfter()`
  Returns a set containing the IDs of the interceptors that should be executed before this interceptor.
  `Set<String>`
  `getBefore()`
  Returns a set containing the IDs of the interceptors that should be executed after this interceptor.
  `String`
  `getId()`
  Returns the ID of this interceptor.
  `String`
  `getPhase()`
  Returns the phase in which this interceptor is excecuted.

  ### Methods inherited from interface org.apache.cxf.interceptor.Interceptor

  `handleFault, handleMessage`

- ## Method Details

  - ### getAfter

    Set<String> getAfter()
    Returns a set containing the IDs of the interceptors that should be executed before this interceptor. This interceptor will be placed in the chain after the interceptors in the set.
    Returns:
      the IDs of the interceptors

  - ### getBefore

    Set<String> getBefore()
    Returns a set containing the IDs of the interceptors that should be executed after this interceptor. This interceptor will be placed in the inteceptor chain before the interceptors in the set.
    Returns:
      the ids of the interceptors

  - ### getId

    String getId()
    Returns the ID of this interceptor.
    Returns:
      the ID

  - ### getPhase

    String getPhase()
    Returns the phase in which this interceptor is excecuted.
    Returns:
      the phase

  - ### getAdditionalInterceptors

    Collection<PhaseInterceptor<? extends Message>> getAdditionalInterceptors()
    Returns a collection of Interceptors that should be added to the chain whenever this interceptor is added. May return null.
    Returns:
      the collection of interceptors